Browse Source

Add example command satcmd-dump

Useful for testing saturnin itself
Alois Mahdal 8 years ago
parent
commit
37eda51096
3 changed files with 7 additions and 0 deletions
  1. 1
    0
      mkit.ini
  2. 1
    0
      packaging/satcmd.spec
  3. 5
    0
      src/libexec/satcmd-dump

+ 1
- 0
mkit.ini View File

@@ -57,6 +57,7 @@
57 57
     src/complete.bash           = satcmd.bash
58 58
 
59 59
 [files:libexec]
60
+    src/libexec/satcmd-dump     = satcmd-dump
60 61
     src/libexec/satcmd-echo     = satcmd-echo
61 62
 
62 63
 [files:share]

+ 1
- 0
packaging/satcmd.spec View File

@@ -42,6 +42,7 @@ make %{?_smp_mflags}
42 42
 %dir /usr/local/share/satcmd/shellfu
43 43
 %doc /usr/local/share/doc/satcmd/README.md
44 44
 /usr/local/bin/satcmd
45
+/usr/local/libexec/satcmd/satcmd-dump
45 46
 /usr/local/libexec/satcmd/satcmd-echo
46 47
 /usr/local/share/satcmd/ini.d/main/echo.ini
47 48
 /usr/local/share/satcmd/shellfu/saturnin.sh

+ 5
- 0
src/libexec/satcmd-dump View File

@@ -0,0 +1,5 @@
1
+#!/bin/bash
2
+
3
+. "$(shellfu-get path)" || exit 3
4
+
5
+env | sort | xargs -L 1 satcmd echo